﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v14.1, Version=14.1.20141.2011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" id="igClientScript">
        function whdg_CellValueChanged(sender, eventArgs) {
            if (eventArgs.get_cell().get_column().get_key() === "CheckParent") {
                var rowIndx = eventArgs.get_cell().get_row().get_index();
                ig_controls.whdg.get_gridView().get_rows().get_row(rowIndx).set_expanded(true);

                setTimeout(function () {
                    var gridRows = ig_controls.whdg.get_gridView().get_rows().get_row(rowIndx).get_rowIslands()[0].get_rows();
                    var length = gridRows.get_length();

                    for (var i = 0; i < length; i++) {
                        gridRows.get_row(i).get_cellByColumnKey("CheckChild").set_value(true);
                        gridRows.get_row(i).get_cellByColumnKey("CheckChild")._setCheckState(true);

                    }
                }, 200);
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <ig:WebHierarchicalDataGrid ID="whdg" runat="server" Height="350px" Width="400px" DataMember="Parent" Key="Parent"
                DataKeyFields="ID" AutoGenerateBands="False" AutoGenerateColumns="False" InitialDataBindDepth="0">

                <Bands>
                    <ig:Band DataMember="Child" Key="Child" AutoGenerateColumns="false" DataKeyFields="ID">
                        <Columns>
                            <ig:BoundDataField DataFieldName="ID" Key="ID">
                                <Header Text="ID">
                                </Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="Address" Key="Address">
                                <Header Text="Address">
                                </Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="Date" Key="Date">
                                <Header Text="Date">
                                </Header>
                            </ig:BoundDataField>
                            <ig:UnboundCheckBoxField Key="CheckChild" HeaderChecked="false" />
                        </Columns>
                        <Behaviors>
                            <ig:EditingCore>
                                <Behaviors>
                                    <ig:CellEditing>
                                    </ig:CellEditing>
                                </Behaviors>
                            </ig:EditingCore>
                        </Behaviors>

                    </ig:Band>
                </Bands>
                <Columns>
                    <ig:BoundDataField DataFieldName="ID" Key="ID">
                        <Header Text="ID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Name" Key="Name">
                        <Header Text="Name">
                        </Header>
                    </ig:BoundDataField>
                    <ig:UnboundCheckBoxField Key="CheckParent" HeaderChecked="False" />
                </Columns>
                <Behaviors>
                    <ig:EditingCore>
                        <EditingClientEvents CellValueChanged="whdg_CellValueChanged" />
                        <Behaviors>
                            <ig:CellEditing>
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                </Behaviors>
            </ig:WebHierarchicalDataGrid>
        </div>
    </form>
</body>
</html>
