﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        whdg.DataSource = populateDataSet();
        whdg.DataBind();

        //((UnboundCheckBoxField)this.whdg.Columns["checkbox"]).Key = "CheckParent";         
        //((UnboundCheckBoxField)this.whdg.Bands[0].Columns["checkbox"]).Key = "CheckChild";
              
    }



    private DataSet populateDataSet()
    {

        DataSet ds = new DataSet();
        DataTable Parent = new DataTable();
        Parent.TableName = "Parent";
        DataTable Child = new DataTable();
        Child.TableName = "Child";

        Parent.Columns.Add("ID");
        Parent.Columns.Add("Name");
        Parent.Columns.Add("CheckBox");

        DataColumn[] col = new DataColumn[1];
        col[0] = Parent.Columns["ID"];
        Parent.PrimaryKey = col;

        DataRow row;

        for (int i = 0; i < 10; i++)
        {
            row = Parent.NewRow();
            row.SetField<int>("ID", i);
            row.SetField<string>("Name", "Name " + i);
            Parent.Rows.Add(row);
        }

        Child.Columns.Add("ID");
        Child.Columns.Add("Address");
        Child.Columns.Add("Date");

        for (int j = 0; j < 10; j++)
        {
            row = Child.NewRow();
            row.SetField<int>("ID", j);
            row.SetField<string>("Address", "Address " + j);
            row.SetField<DateTime>("Date", DateTime.Today);
            Child.Rows.Add(row);
        }

        ds.Tables.Add(Parent);
        ds.Tables.Add(Child);

        ds.Relations.Add("IDRelation", Parent.Columns["ID"], Child.Columns["ID"]);

        return ds;
    }
}